Partially update task
curl --request PATCH \
--url https://api.bizzyco.ai/v1/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Review Q4 budget",
"description": "Complete budget review before end of quarter",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "in_progress",
"dueDate": "2024-12-31T23:59:59Z",
"contactId": "123e4567-e89b-12d3-a456-426614174000",
"messageId": "123e4567-e89b-12d3-a456-426614174001",
"metadata": {
"priority": "high",
"source": "email"
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Review Q4 budget',
description: 'Complete budget review before end of quarter',
category: 'review',
importance: 'high',
urgency: 'medium',
status: 'in_progress',
dueDate: '2024-12-31T23:59:59Z',
contactId: '123e4567-e89b-12d3-a456-426614174000',
messageId: '123e4567-e89b-12d3-a456-426614174001',
metadata: {priority: 'high', source: 'email'}
})
};
fetch('https://api.bizzyco.ai/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/tasks/{id}"
payload = {
"title": "Review Q4 budget",
"description": "Complete budget review before end of quarter",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "in_progress",
"dueDate": "2024-12-31T23:59:59Z",
"contactId": "123e4567-e89b-12d3-a456-426614174000",
"messageId": "123e4567-e89b-12d3-a456-426614174001",
"metadata": {
"priority": "high",
"source": "email"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/tasks/{id}"
payload := strings.NewReader("{\n \"title\": \"Review Q4 budget\",\n \"description\": \"Complete budget review before end of quarter\",\n \"category\": \"review\",\n \"importance\": \"high\",\n \"urgency\": \"medium\",\n \"status\": \"in_progress\",\n \"dueDate\": \"2024-12-31T23:59:59Z\",\n \"contactId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"messageId\": \"123e4567-e89b-12d3-a456-426614174001\",\n \"metadata\": {\n \"priority\": \"high\",\n \"source\": \"email\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2024-01-15T09:00:00Z",
"updatedAt": "2024-01-15T14:30:00Z",
"deletedAt": null,
"organizationId": "123e4567-e89b-12d3-a456-426614174000",
"title": "Review Q4 budget proposal",
"description": "Complete the quarterly budget review and submit recommendations",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "todo",
"dueDate": "2024-12-31T23:59:59Z",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"createdByAgent": false,
"messageId": "550e8400-e29b-41d4-a716-446655440002",
"contactId": "550e8400-e29b-41d4-a716-446655440003",
"metadata": {
"priority": "high",
"source": "email"
},
"assignees": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Tasks
Partially update task
Partially update an existing task. Only provided fields will be updated.
PATCH
/
v1
/
tasks
/
{id}
Partially update task
curl --request PATCH \
--url https://api.bizzyco.ai/v1/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Review Q4 budget",
"description": "Complete budget review before end of quarter",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "in_progress",
"dueDate": "2024-12-31T23:59:59Z",
"contactId": "123e4567-e89b-12d3-a456-426614174000",
"messageId": "123e4567-e89b-12d3-a456-426614174001",
"metadata": {
"priority": "high",
"source": "email"
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Review Q4 budget',
description: 'Complete budget review before end of quarter',
category: 'review',
importance: 'high',
urgency: 'medium',
status: 'in_progress',
dueDate: '2024-12-31T23:59:59Z',
contactId: '123e4567-e89b-12d3-a456-426614174000',
messageId: '123e4567-e89b-12d3-a456-426614174001',
metadata: {priority: 'high', source: 'email'}
})
};
fetch('https://api.bizzyco.ai/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/tasks/{id}"
payload = {
"title": "Review Q4 budget",
"description": "Complete budget review before end of quarter",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "in_progress",
"dueDate": "2024-12-31T23:59:59Z",
"contactId": "123e4567-e89b-12d3-a456-426614174000",
"messageId": "123e4567-e89b-12d3-a456-426614174001",
"metadata": {
"priority": "high",
"source": "email"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/tasks/{id}"
payload := strings.NewReader("{\n \"title\": \"Review Q4 budget\",\n \"description\": \"Complete budget review before end of quarter\",\n \"category\": \"review\",\n \"importance\": \"high\",\n \"urgency\": \"medium\",\n \"status\": \"in_progress\",\n \"dueDate\": \"2024-12-31T23:59:59Z\",\n \"contactId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"messageId\": \"123e4567-e89b-12d3-a456-426614174001\",\n \"metadata\": {\n \"priority\": \"high\",\n \"source\": \"email\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2024-01-15T09:00:00Z",
"updatedAt": "2024-01-15T14:30:00Z",
"deletedAt": null,
"organizationId": "123e4567-e89b-12d3-a456-426614174000",
"title": "Review Q4 budget proposal",
"description": "Complete the quarterly budget review and submit recommendations",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "todo",
"dueDate": "2024-12-31T23:59:59Z",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"createdByAgent": false,
"messageId": "550e8400-e29b-41d4-a716-446655440002",
"contactId": "550e8400-e29b-41d4-a716-446655440003",
"metadata": {
"priority": "high",
"source": "email"
},
"assignees": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Task UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Required string length:
1 - 500Example:
"Review Q4 budget"
Required string length:
1 - 10000Example:
"Complete budget review before end of quarter"
Available options:
bug_fix, documentation, feature_request, meeting, other, planning, research, review, null Example:
"review"
Available options:
low, medium, high, null Example:
"high"
Available options:
low, medium, high, null Example:
"medium"
Available options:
backlog, todo, in_progress, in_review, done, cancelled Example:
"in_progress"
Example:
"2024-12-31T23:59:59Z"
Example:
"123e4567-e89b-12d3-a456-426614174000"
Example:
"123e4567-e89b-12d3-a456-426614174001"
Show child attributes
Show child attributes
Example:
{ "priority": "high", "source": "email" }
Last modified on August 9, 2026
⌘I